<template>
	<component :is="currentCity" />
</template>

<script lang="tsx" setup name="orderAccept">
import { defineAsyncComponent, computed } from 'vue';
import { useThemeConfig } from '@/stores/themeConfig';
import { storeToRefs } from 'pinia';

// 引入组件
const YiBin = defineAsyncComponent(() => import('@/views/todo/seats/accept/ybAccept.vue')); // 宜宾工单受理
const ZiGong = defineAsyncComponent(() => import('@/views/todo/seats/accept/zgAccept.vue')); // 自贡工单受理
const LuZhou = defineAsyncComponent(() => import('@/views/todo/seats/accept/lzAccept.vue')); // 泸州工单受理

const storesThemeConfig = useThemeConfig();
const { themeConfig } = storeToRefs(storesThemeConfig);

const COMPONENT_LIST = {
	YiBin,
	ZiGong,
	LuZhou
};
// 当前地州市
const currentCity = computed(() => {
	return COMPONENT_LIST[themeConfig.value.appScope];
});
</script>
